import * as gs from 'gridstack';
export declare class GridStack {
    root: Element;
    constructor(root: Element);
    grid: gs.GridStack | undefined;
    minRow: number;
    minRowChanged(): void;
    float: boolean;
    floatChanged(): void;
    static: boolean;
    staticChanged(): void;
    options: gs.GridStackOptions;
    private items;
    itemsChanged(): void;
    attached(): void;
    detached(): void;
    handleChange(nodes: gs.GridStackNode[]): void;
    updateNodeVmAttributes(node: gs.GridStackNode): void;
}
